%define 	name docbook-style-dsssl
%define 	version 1.78
Name        	: %{name}
Version     	: %{version}
Release     	: 1
Group       	: Textprocessing/Tools
Summary     	: Norman Walsh's DSSSL modular style sheets for DocBook.
Copyright   	: 1997-2000 Norman Walsh; distributable
URL         	: http://docbook.sourceforge.net/projects/dsssl/
Requires	: jade
Requires	: docbook-dtd-sgml
BuildRequires   : sgml-common jade
Prereq		: sgml-common
Prereq		: jade
BuildRoot   	: /tmp/%{Name}-%{Version}
Source0		: docbook-dsssl-1.78.tar.gz
Source1		: %{name}-%{version}.Makefile

%description
These DSSSL stylesheets allow to convert any DocBook document to another
printed (for example, RTF or TeX) or online (for example, HTML) format.
They are highly customizable.

%prep
%setup -q -n docbook-dsssl-%{version}
if [ `id -u` -eq 0 ]; then
  chown -R root.root .
  chmod -R a+rX,g-w,o-w .
fi
cp %{SOURCE1} Makefile

%build

%install
DESTDIR=$RPM_BUILD_ROOT
make install BINDIR=$DESTDIR/usr/bin DESTDIR=$DESTDIR/usr/share/sgml/docbook/dsssl-stylesheets-%{version}
cd ..
ln -s dsssl-stylesheets-%{version} $DESTDIR/usr/share/sgml/docbook/dsssl-stylesheets

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR

%files
%defattr (-,root,root)
/*
